Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoString

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoString,MonoString.ByValue,MonoString.ByReference>
              com.nativelibs4java.mono.MonoString

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoString,MonoString.ByValue,MonoString.ByReference>>

Direct Known Subclasses:
  MonoString.ByReference, MonoString.ByValue

    public class MonoString

extends Structure<MonoString,MonoString.ByValue,MonoString.ByReference>

native declaration : mono\metadata\object.h
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoString.ByReference`
`static class` | `MonoString.ByValue`

Field Summary
`short[]` | `chars`
`int` | `length`
`MonoObject` | `object`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoString()`
`MonoString(MonoObject object, int length, short[] chars)`

Method Summary
`protected MonoString.ByReference` | `newByReference()`
`protected MonoString.ByValue` | `newByValue()`
`protected MonoString` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### object

    public MonoObject object

### length

    public int length

### chars

    public short[] chars

Constructor Detail

### MonoString

    public MonoString()

### MonoString

    public MonoString(MonoObject object,
                      int length,
                      short[] chars)

Method Detail

### newByReference

    protected MonoString.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoString,MonoString.ByValue,MonoString.ByReference>`

### newByValue

    protected MonoString.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoString,MonoString.ByValue,MonoString.ByReference>`

### newInstance

    protected MonoString newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoString,MonoString.ByValue,MonoString.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD